unit Wing_Show;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm3 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    procedure FormShow(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses Wing;

{$R *.DFM}

procedure TForm3.FormShow(Sender: TObject);
begin
 case game.tehno_level of
 2:begin
    Label6.Caption:=Form1.SpeedButton2.Hint;
    Label7.Caption:=Form1.SpeedButton2.Caption;
   end;
 3:begin
    Label6.Caption:=Form1.SpeedButton3.Hint;
    Label7.Caption:=Form1.SpeedButton3.Caption;
   end;
 4:begin
    Label6.Caption:=Form1.SpeedButton4.Hint;
    Label7.Caption:=Form1.SpeedButton4.Caption;
   end;
 5:begin
    Label6.Caption:=Form1.SpeedButton5.Hint;
    Label7.Caption:=Form1.SpeedButton5.Caption;
   end;
 6:begin
    Label6.Caption:=Form1.SpeedButton6.Hint;
    Label7.Caption:=Form1.SpeedButton6.Caption;
   end;
 7:begin
    Label6.Caption:=Form1.SpeedButton7.Hint;
    Label7.Caption:=Form1.SpeedButton7.Caption;
   end;
 8:begin
    Label6.Caption:=Form1.SpeedButton8.Hint;
    Label7.Caption:=Form1.SpeedButton8.Caption;
   end;
 9:begin
    Label6.Caption:=Form1.SpeedButton9.Hint;
    Label7.Caption:=Form1.SpeedButton9.Caption;
   end;
 10:begin
    Label6.Caption:=Form1.SpeedButton10.Hint;
    Label7.Caption:=Form1.SpeedButton10.Caption;
   end;
 11:begin
    Label6.Caption:=Form1.SpeedButton11.Hint;
    Label7.Caption:=Form1.SpeedButton11.Caption;
   end;
 12:begin
    Label6.Caption:=Form1.SpeedButton12.Hint;
    Label7.Caption:=Form1.SpeedButton12.Caption;
   end;
 13:begin
    Label6.Caption:=Form1.SpeedButton13.Hint;
    Label7.Caption:=Form1.SpeedButton13.Caption;
   end;
  end;
end;

procedure TForm3.FormKeyPress(Sender: TObject; var Key: Char);
begin
 if Key=#32 then Close;

end;

end.
